<?xml version="1.0" encoding="UTF-8"?>
<!--  Namespace type configuration  -->
<beans default-lazy-init="false" 
    xmlns="http://www.springframework.org/schema/beans" 	
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd">

	<!-- 
		@description: Loads the main application context file of the common module 
		as a resource in a class path.  		
	-->
	<bean 
		id="cchtCommonAppContext" 
		class="org.springframework.context.support.ClassPathXmlApplicationContext"
		lazy-init="false" >
		
		<constructor-arg>
			<list>
				<!-- Specify a fully qualified path of a resource in a jar file -->
				<value>classpath:spring/cchtCommonAppContext.xml</value>
			</list>
		</constructor-arg>
	</bean>			
</beans>

